import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataOktaAuthServerScopesConfig extends cdktf.TerraformMetaArguments {
    /**
    * Auth server ID
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/auth_server_scopes#auth_server_id DataOktaAuthServerScopes#auth_server_id}
    */
    readonly authServerId: string;
}
export declare class DataOktaAuthServerScopesScopes extends cdktf.ComplexComputedList {
    get consent(): string;
    get default(): cdktf.IResolvable;
    get description(): string;
    get displayName(): string;
    get id(): string;
    get metadataPublish(): string;
    get name(): string;
    get systemAttribute(): cdktf.IResolvable;
}
/**
* Represents a {@link https://www.terraform.io/docs/providers/okta/d/auth_server_scopes okta_auth_server_scopes}
*/
export declare class DataOktaAuthServerScopes extends cdktf.TerraformDataSource {
    static readonly tfResourceType: string;
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/okta/d/auth_server_scopes okta_auth_server_scopes} Data Source
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options DataOktaAuthServerScopesConfig
    */
    constructor(scope: Construct, id: string, config: DataOktaAuthServerScopesConfig);
    private _authServerId?;
    get authServerId(): string;
    set authServerId(value: string);
    get authServerIdInput(): string | undefined;
    get id(): string;
    scopes(index: string): DataOktaAuthServerScopesScopes;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
